Bug 84690 - FILEOPEN: pdf import does not show text with symbol font
Summary: FILEOPEN: pdf import does not show text with symbol font
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
4.3.2.2 release
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: PDF-Import-Draw
  Show dependency treegraph
 
Reported: 2014-10-05 18:18 UTC by Alexandr
Modified: 2019-12-03 14:23 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Minimal test case (674 bytes, application/pdf)
2014-10-05 18:18 UTC, Alexandr
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexandr 2014-10-05 18:18:54 UTC
Created attachment 107364 [details]
Minimal test case

Hello
When I try to open a pdf with Symbol font, LibreOffice Draw does not show the text. The Symbol font is installed. I tried LibreOffice 4.3.2 from Debian Backports.
Symbol is one of the base 14 pdf fonts and usually is not embedded.
Comment 1 A (Andy) 2014-10-25 14:47:40 UTC
Reproducible with LO 4.3.2.2 (Win 8.1)
Comment 2 vvort 2015-01-24 08:38:08 UTC
Please make the screenshot of test file from Bug 88610 - it may help in solving this problem.
Comment 3 QA Administrators 2016-02-21 08:37:29 UTC Comment hidden (obsolete)
Comment 4 Heiko Tietze 2016-05-10 12:08:17 UTC
Works here (LibO 5.2 alpha), i.e. all Greek to me. 

Please check again.
Comment 5 QA Administrators 2017-05-22 13:39:50 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2019-12-03 14:23:00 UTC
Dear Alexandr,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug